Name:           python-passivlingo-dictionary
Version:        1.0.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python package for accessing OWN and NLTK wordnet ontologies

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/pssvlng/passivlingo-dictionary
Source:         %{pypi_source passivlingo_dictionary}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'passivlingo-dictionary' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-passivlingo-dictionary
Summary:        %{summary}

%description -n python3-passivlingo-dictionary %_description


%prep
%autosetup -p1 -n passivlingo_dictionary-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-passivlingo-dictionary -f %{pyproject_files}


%changelog
%autochangelog